%define module_version 0.2.1
%define module_name Call-Haskell
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Types.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2.1
Release: alt1
Summary: Call Haskell functions from Perl
Group: Development/Perl
License: perl
URL: https://github.com/wimvanderbauwhede/Perl-Call-Haskell

Source0: http://cpan.org.ua/authors/id/A/AN/ANDARA/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
Call::Haskell provides a simple mechanism to call Haskell functions from Perl. The syntax for the import statement is similar to what you would write in Haskell. If the path is not specified, the local directory is assumed.

To use this module you need

    - perl 5.16 or later,
    - ghc 7.8 or more recent,
    - gcc 4.8 or more recent

You also need recent versions of

    - the Inline, Inline::C and Digest::MD5 Perl packages
    - the Parsec Haskell package

Currently the Haskell function arguments and return values must have types that are lists, tuples or maps of primitive types (Int, Bool, String). Haskell's Data.Map becomes a Perl hash and vice versa. Maybe is also supported, Nothing is mapped to undef and vice versa.

The module packs the arguments into a string and unpacks the return value from a string. This will be very slow for large data structures.

Currently, you can only use functions from a single Haskell module.

The module creates two subdirectories in your working directory: `_Call_Haskell' and `_Inline'. You can find all generated code in there. 



%prep
%setup -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/C*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- regenerated from template by package builder

* Wed Apr 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1
- initial import by package builder

